function [P] = DeCasteljau_surf(M, u, v)
%DECASTELJAU_SURF Computes a Bezier surface point via DeCasteljau
    ni = size(M,2) ;
    nj = size(M,3) ;
    tmp = zeros(3,ni) ;
    poly_i = zeros(3,nj) ;
    for i=1:ni
        poly_i = reshape(M(:,i,:),3,nj) ;
        tmp(:,i) = DeCasteljau(poly_i, v) ;
    end
    P = DeCasteljau(tmp,u) ;
end

